Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 5162

Summary: vixie cron is not pam aware
Product: [Retired] Red Hat Linux Reporter: Lauri Jesmin <jesmin>
Component: vixie-cronAssignee: Crutcher Dunnavant <crutcher>
Status: CLOSED DUPLICATE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 6.0CC: bnocera
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2001-04-10 22:04:34 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 170809    

Description Lauri Jesmin 1999-09-15 16:54:29 UTC
vixie cron does not use pam and also does not read
/etc/security/limits.conf file. The problem is that if
i normally set limits for all users (number of processes, amount of memory, etc) with just editing /etc/pam.d/(ssh,login,you name it) file
and setting it to use /etc/security/pam_limits.so, then i cant do this for cron.
And users can execute programs by setting cronjobs or at jobs.
To those programs the limits do not apply and so can user override limits set by administrator.

Comment 1 Bill Nottingham 1999-09-17 14:44:59 UTC
*** This bug has been marked as a duplicate of 5160 ***

Comment 2 Jason Vas Dias 2005-05-10 12:22:34 UTC
*** Bug 157290 has been marked as a duplicate of this bug. ***